> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addUsers

> ## Bulk Create Employees/Contractors

Creates multiple employees or contractors in a single API call.

### When to Use
- Mass onboarding (new company setup)
- Seasonal hiring
- Bulk contractor additions



## OpenAPI

````yaml post /adminPortal/addUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/addUsers:
    post:
      tags: []
      summary: addUsers
      description: |-
        ## Bulk Create Employees/Contractors

        Creates multiple employees or contractors in a single API call.

        ### When to Use
        - Mass onboarding (new company setup)
        - Seasonal hiring
        - Bulk contractor additions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                  format: uuid
                user:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      middleName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phoneNumber:
                        type: string
                        title: Must be 10 digits
                        example: '9874563210'
                      dateOfJoin:
                        type: string
                      workerType:
                        type: string
                        title: Enum
                        maxLength: 8
                        enum:
                          - W2
                          - 1099-NEC
                      jobTitle:
                        type: string
                      companyLocationCategory:
                        type: string
                        enum:
                          - Office
                          - Remote
                        example: When Remote is Selected State Code Should be mentioned
                      code:
                        type: string
                        title: Enum
                        maxLength: 2
                        enum:
                          - TX
                          - AK
                          - ND
                          - IL
                          - MA
                          - KS
                          - AS
                          - AL
                          - UT
                          - SD
                          - MI
                          - DC
                          - GA
                          - SC
                          - TN
                          - OK
                          - CO
                          - CA
                          - ME
                          - MO
                          - WY
                          - MD
                          - VT
                          - NM
                          - CT
                          - AZ
                          - WI
                          - VA
                          - WV
                          - NJ
                          - DE
                          - NC
                          - PR
                          - IN
                          - MT
                          - NH
                          - HI
                          - IA
                          - KY
                          - WA
                          - OH
                          - FL
                          - OR
                          - MP
                          - GU
                          - MN
                          - MS
                          - PA
                          - NE
                          - RI
                          - ID
                          - LA
                          - NY
                          - NV
                          - AR
                      companyLocationId:
                        type: string
                        title: >-
                          Need to be added when CompanyLocationCategory is
                          Office
                        format: uuid
                    required:
                      - firstName
                      - lastName
                      - email
                      - phoneNumber
                      - dateOfJoin
                      - workerType
                      - jobTitle
                      - companyLocationCategory
              required:
                - method
                - companyId
                - user
            example:
              method: addUsers
              companyId: 33A04AFB-4317-464A-B1E0-BAB610086174
              users:
                - firstName: Marcus
                  middleName: Austin
                  lastName: Steve
                  email: marcus@steve.in
                  phoneNumber: '9889890989'
                  dateOfJoin: '2000-01-01'
                  workerType: W2
                  jobTitle: Manager
                  companyLocationCategory: Remote
                  stateCode: FL
                  companyLocationId: ''
                - firstName: Laura
                  middleName: Beth
                  lastName: Johnson
                  email: laurajohnson@company.com
                  phoneNumber: '9988776655'
                  dateOfJoin: '2001-02-02'
                  workerType: W2
                  jobTitle: Developer
                  companyLocationCategory: Remote
                  stateCode: CA
                  companyLocationId: ''
                - firstName: Aaron
                  middleName: ''
                  lastName: Ruth
                  email: aaronruth@company.com
                  phoneNumber: '9988776655'
                  dateOfJoin: '2001-02-02'
                  workerType: W2
                  jobTitle: Developer
                  companyLocationCategory: Remote
                  stateCode: CA
                  companyLocationId: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    user:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - status
                        - message
                  required:
                    - user
              example:
                - user:
                    userId: BAF0E9A0-0468-4936-A18A-B764772EBD6D
                    status: KYC Pending
                    message: >-
                      Marcus Steve has been successfully added as Employee in
                      Company146933.
                - user:
                    userId: 4D6E227F-48E4-4808-A95C-61D09863A5D2
                    status: KYC Pending
                    message: >-
                      Laura Johnson has been successfully added as Employee in
                      Company146933.
                - user:
                    userId: EF7B8546-D333-4FED-8D08-F0720857F9A4
                    status: KYC Pending
                    message: >-
                      Aaron Ruth has been successfully added as Employee in
                      Company146933.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    user:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - status
                        - message
                    error:
                      type: object
                      properties:
                        code:
                          type: string
                        message:
                          type: string
                      required:
                        - code
                        - message
                  required:
                    - user
                    - error
              example:
                - user:
                    userId: ''
                    status: Error
                    message: Failed to add User.
                  error:
                    code: '400'
                    message: Email already in use
                - user:
                    userId: ''
                    status: Error
                    message: Failed to add User.
                  error:
                    code: '400'
                    message: Email already in use
                - user:
                    userId: ''
                    status: Error
                    message: Failed to add User.
                  error:
                    code: '400'
                    message: Email already in use
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````